"
 Copyright (c) 2007-2010 Jan Vrany
 Copyright (c) 2009-2010 eXept Software AG

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.
"
"{ Package: 'stx:libsvn' }"

"{ NameSpace: SVN }"

Dictionary subclass:#Cache
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'SVN-Private'
!

!Cache class methodsFor:'documentation'!

copyright
"
 Copyright (c) 2007-2010 Jan Vrany
 Copyright (c) 2009-2010 eXept Software AG

 Permission is hereby granted, free of charge, to any person
 obtaining a copy of this software and associated documentation
 files (the 'Software'), to deal in the Software without
 restriction, including without limitation the rights to use,
 copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the
 Software is furnished to do so, subject to the following
 conditions:

 The above copyright notice and this permission notice shall be
 included in all copies or substantial portions of the Software.

 THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND,
 EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
 OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
 NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
 HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
 OTHER DEALINGS IN THE SOFTWARE.

"
! !

!Cache class methodsFor:'others'!

version_CVS
    ^ '$Header$'
! !

!Cache methodsFor:'accessing'!

at: key ifAbsent: exceptionBlock

    ^(super at: key ifAbsent: exceptionBlock) value

    "Modified: / 22-12-2009 / 20:27:36 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

at: key ifAbsentPut: anObject

    | entry |
    (self includesKey: key) ifTrue:[^self at: key].
    entry := CacheEntry getter: anObject.
    super at: key ifAbsentPut: [entry].
    ^entry value

    "Created: / 22-12-2009 / 20:27:21 / Jan Vrany <jan.vrany@fit.cvut.cz>"
!

at: key put: anObject

    ^super 
        at: key 
        put: (CacheEntry getter: anObject)

    "Created: / 22-12-2009 / 20:26:52 / Jan Vrany <jan.vrany@fit.cvut.cz>"
! !

!Cache class methodsFor:'documentation'!

version
    ^ '$Header$'
!

version_SVN
    ^ 'Id: SVN__Cache.st 363 2011-08-08 13:49:48Z vranyj1 '
! !
